ReplicationTransmitter (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.ReplicationTransmitter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport
Class ReplicationTransmitter

    java.lang.Object
      org.apache.catalina.tribes.transport.ReplicationTransmitter

All Implemented Interfaces:
  ChannelSender, Heartbeat

    public class ReplicationTransmitter

extends java.lang.Object
implements ChannelSender

Transmit message to other cluster members Actual senders are created based on the replicationMode type

Version:
  $Revision: 532800 $ $Date: 2007-04-26 18:52:29 +0200 (Thu, 26 Apr 2007) $
Author:
  Filip Hanik

Field Summary
`protected StringManager` | `sm` The string manager for this package.

Constructor Summary
`ReplicationTransmitter()`

Method Summary
`void` | `add(Member member)` add new cluster member and create sender ( s. replicationMode) transfer current properties to sender
`java.lang.String` | `getInfo()` Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.
`MultiPointSender` | `getTransport()`
`void` | `heartbeat()` Call transmitter to check for sender socket status
`void` | `remove(Member member)` remove sender from transmitter. ( deregister mbean and disconnect sender )
`void` | `sendMessage(ChannelMessage message, Member[] destination)` Send data to one member
`void` | `setTransport(MultiPointSender transport)`
`void` | `start()` start the sender and register transmitter mbean
`void` | `stop()` Stop the channel sender

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected StringManager sm

  The string manager for this package.

Constructor Detail

### ReplicationTransmitter

    public ReplicationTransmitter()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.

### getTransport

    public MultiPointSender getTransport()

### setTransport

    public void setTransport(MultiPointSender transport)

### sendMessage

    public void sendMessage(ChannelMessage message,
                            Member[] destination)
                     throws ChannelException

  Send data to one member

  Specified by:
    `sendMessage` in interface `ChannelSender`
  Parameters:
    `message` - ChannelMessage - the message to be sent
    `destination` - Member[] - the destinations
  Throws:
    `ChannelException` - - if an error happens, the ChannelSender MUST report individual send failures on a per member basis, using ChannelException.addFaultyMember
  See Also:
    `org.apache.catalina.tribes.ClusterSender#sendMessage(org.apache.catalina.tribes.ClusterMessage, org.apache.catalina.tribes.Member)`

### start

    public void start()
               throws java.io.IOException

  start the sender and register transmitter mbean

  Specified by:
    `start` in interface `ChannelSender`
  Throws:
    `IOException` - if preprocessing takes place and an error happens
  See Also:
    `org.apache.catalina.tribes.ClusterSender#start()`

### stop

    public void stop()

  Description copied from interface: `ChannelSender`
  Stop the channel sender

  Specified by:
    `stop` in interface `ChannelSender`

### heartbeat

    public void heartbeat()

  Call transmitter to check for sender socket status

  Specified by:
    `heartbeat` in interface `ChannelSender`
  Specified by:
    `heartbeat` in interface `Heartbeat`
  See Also:
    `SimpleTcpCluster#backgroundProcess()`

### add

    public void add(Member member)

  add new cluster member and create sender ( s. replicationMode) transfer current properties to sender

  Specified by:
    `add` in interface `ChannelSender`
  Parameters:
    `member` - Member
  See Also:
    `org.apache.catalina.tribes.ClusterSender#add(org.apache.catalina.tribes.Member)`

### remove

    public void remove(Member member)

  remove sender from transmitter. ( deregister mbean and disconnect sender )

  Specified by:
    `remove` in interface `ChannelSender`
  Parameters:
    `member` - Member
  See Also:
    `org.apache.catalina.tribes.ClusterSender#remove(org.apache.catalina.tribes.Member)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.